Forum » Last.fm Client Support

Segfault with 1.1.4 (Linux)

 
    • vladb said...
    • User
    • 10 Jan 2006, 18:31

    Segfault with 1.1.4 (Linux)

    Hello.

    I'm experiencing an issue with the lastfm player on linux, version 1.1.4. I've tried both the official build and the unofficial debian package.

    Other than that, kudos for thy mighty AS.

    Some relevant output:
    *snip*
    Changing station!
    Using ALSA!
    Supports 16 bit

    RtApi: no devices found for given stream parameters:
    RtApiAlsa: error setting sample rate (44100) on device (hw:AudioPCI,0): Invalid argument.
    RtApiAlsa: error setting sample rate (44100) on device (hw:AudioPCI,1): Invalid argument.


    Segmentation fault
    *snip*

    Regards,
    Vlad B.

    • vladb said...
    • User
    • 11 Jan 2006, 13:21
    Forgot to mention - it did work with an earlier version.

    V

  • I am still basicly running 1.0.5 with a artsdsp wrapper. I bet others do too.

    It might be that this error message has something to do with the samplerate of the audiocard (mine is 48000).

  • I've got the same problem, did you get it to work????

  • I've got the same problem, did you get it to work????

    • eewald said...
    • User
    • 24 Jan 2006, 20:14

    same here

    same problem here with linux version.

    are any older versions available anywhere?

    • vladb said...
    • User
    • 25 Jan 2006, 00:07
    • vladb said...
    • User
    • 1 Feb 2006, 22:18
    Any official word as to whether this is a known bug and whether there's any planned fix? I'm currently using 1.0.5 but i've just noticed the song progress bar stopped working.

    V

  • switch to oss

    dunno if you have it setup in alsa, but i got 1.1.4 working by choosing oss.

    • vladb said...
    • User
    • 8 Feb 2006, 08:13
    Thanks for the tip, 1.1.4 works ok with OSS.

    V

Anonymous users may not post messages. Please log in or create an account to post in the forums.